/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.util.Calendar;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.TramoServicio;
import com.rjconsultores.ventaboletos.utilerias.DateUtil;

/**
 *
 * @author Rafius
 */
public class RenderTramoServicio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TramoServicio serv = (TramoServicio) o;

        Listcell lc = new Listcell(serv.getClaseServicio().getDescclase());
        lc.setParent(lstm);


        if (serv.getTiemporecorrido() == null) {
            lc = new Listcell("");
        } else {
            Calendar c = Calendar.getInstance();
            c.setTime(serv.getTiemporecorrido());
            
            Long tempo = DateUtil.getElapsedMinutos(DateUtil.getFecInicio().getTime(), c.getTime());
            long minutos = (tempo % 60);
            int horas = (tempo.intValue() / 60);


            String sMinutos = String.valueOf(minutos);
            lc = new Listcell(horas + ":" + ((sMinutos.length() < 2) ? "0" + sMinutos : sMinutos));
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", serv);
    }
}
